<?php
/*
NOTE: this file requires WordPress 2.7+ to function
*/
$settings = 'mods_'.get_current_theme(); // do not change!

$defaults = array( // define our defaults
		'twitter_id' => 'themejunkie',
		'feedburner_id' => 'themejunkie',
		'twitter' => 'да',
		'subscribe' => 'да',
		'flickr' => 'да',
		'track' => 'да',
		'showad728x90' => 'да',
		'showad300x250' => 'да'
		 // <-- no comma after the last option
);

//	push the defaults to the options database,
//	if options don't yet exist there.
add_option($settings, $defaults, '', 'да');

/*
///////////////////////////////////////////////
This section hooks the proper functions
to the proper actions in WordPress
\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
*/
//	this function registers our settings in the db
add_action('admin_init', 'register_theme_settings');
function register_theme_settings() {
	global $settings;
	register_setting($settings, $settings);
}
//	this function adds the settings page to the Appearance tab
add_action('admin_menu', 'add_theme_options_menu');
function add_theme_options_menu() {
	add_submenu_page('themes.php', __('FashionPress - настройка', 'themejunkie'), __('FashionPress Theme настройка', 'themejunkie'), 8, 'theme-options', 'theme_settings_admin');
}

function theme_settings_admin() { ?>
<?php theme_options_css_js(); ?>

<div class="wrap">
  <?php
	global $settings, $defaults;
	if(get_theme_mod('reset')) {
		echo '<div class="updated fade" id="message"><p>'.__('Настройка', 'themejunkie').' <strong>'.__('Сброс', 'themejunkie').'</strong></p></div>';
		update_option($settings, $defaults);
	} elseif($_REQUEST['updated'] == 'true') {
		echo '<div class="updated fade" id="message"><p>'.__('Настройка', 'themejunkie').' <strong>'.__('Сохранение', 'themejunkie').'</strong></p></div>';
	}
	screen_icon('options-general');
?>
  <h2><?php echo get_current_theme() . ' '; _e('Настройка', 'themejunkie'); ?></h2>
  <form method="post" action="options.php">
    <?php settings_fields($settings); // important! ?>
    <?php // begin first column ?>
    <div class="metabox-holder">
      <div class="postbox">
        <h3>
         Кредитсы
        </h3>
        <div class="inside">
          <p>FashionPress это шаблон, который сделал<a rel="nofollow" href="http://www.theme-junkie.com/">
          ThemeJunkie
            </a>.</p>
          </p>
          <p style="border-top: 1px solid #ccc; padding-top: 10px;">Посмотрите другие наши <a rel="nofollow" href="http://www.theme-junkie.com/">
            темы
            </a>! 
        </div>
      </div>
      <div class="postbox">
        <h3>
         Твиттер
        </h3>
        <div class="inside">
          <p>
           Показывать ссылку на Твиттер в шапке?
            <br />
            <select name="<?php echo $settings; ?>[twitter]">
              <option style="padding-right:10px;" value="Yes" <?php selected('Yes', get_theme_mod('twitter')); ?>>Да</option>
              <option style="padding-right:10px;" value="No" <?php selected('No', get_theme_mod('twitter')); ?>>Нет</option>
            </select>
            <br />
           Впечатайте Ваш Twitter ID
            :<br />
            <input type="text" name="<?php echo $settings; ?>[twitter_id]" value="<?php echo get_theme_mod('twitter_id'); ?>" size="35" />
          </p>
        </div>
      </div>
      <div class="postbox">
        <h3>
       Подписка
        </h3>
        <div class="inside">
          <p>
          Показывать блог подписки на RSS  в сайдбаре?
            <br />
            <select name="<?php echo $settings; ?>[subscribe]">
              <option style="padding-right:10px;" value="Yes" <?php selected('Yes', get_theme_mod('subscribe')); ?>>Да</option>
              <option style="padding-right:10px;" value="No" <?php selected('No', get_theme_mod('subscribe')); ?>>Нет</option>
            </select>
            <br />
            Впечатайте Ваш Feedburner ID 
            :<br />
            <input type="text" name="<?php echo $settings; ?>[feedburner_id]" value="<?php echo get_theme_mod('feedburner_id'); ?>" size="35" />
          </p>
        </div>
      </div>
      <div class="postbox">
        <h3>
         Flickr
        </h3>
        <div class="inside">
          <p>
          Транслировать ваши фото с Flickr?
            <br />
            <select name="<?php echo $settings; ?>[flickr]">
              <option style="padding-right:10px;" value="Yes" <?php selected('Yes', get_theme_mod('flickr')); ?>>Да</option>
              <option style="padding-right:10px;" value="No" <?php selected('No', get_theme_mod('flickr')); ?>>Нет</option>
            </select>
          </p>
        </div>
      </div>
      <div class="postbox">
        <h3>
          Код статистики
        </h3>
        <div class="inside">
          <p>
         Подключить код статистики?
            <br />
            <select name="<?php echo $settings; ?>[track]">
              <option style="padding-right:10px;" value="Yes" <?php selected('Yes', get_theme_mod('track')); ?>>Да</option>
              <option style="padding-right:10px;" value="No" <?php selected('No', get_theme_mod('track')); ?>>Нет</option>
            </select>
            <br />
         Вставьте код
            : <br />
            <textarea name="<?php echo $settings; ?>[track_code]" cols=35 rows=5><?php echo stripslashes(get_theme_mod('track_code')); ?></textarea>
          </p>
        </div>
      </div>
    </div>
    <?php // end first column ?>
    <?php // begin second column ?>
    <div class="metabox-holder">
      <div class="postbox">
        <h3>
         Баннер 728x90 
          -
          в шапке
        </h3>
        <div class="inside">
          <p>
           Показывать баннер?
            <br />
            <select name="<?php echo $settings; ?>[showad728x90]">
              <option style="padding-right:10px;" value="Yes" <?php selected('Yes', get_theme_mod('showad728x90')); ?>>Да</option>
              <option style="padding-right:10px;" value="No" <?php selected('No', get_theme_mod('showad728x90')); ?>>Нет</option>
            </select>
          </p>
          <p>
           Вставьте код баннера
            :<br />
            <textarea name="<?php echo $settings; ?>[ad728x90]" cols=35 rows=5><?php echo stripslashes(get_theme_mod('ad728x90')); ?></textarea>
          </p>
        </div>
      </div>
      <div class="postbox">
        <h3>
         Баннер 300x250
          -
         в сайдбаре
        </h3>
        <div class="inside">
          <p>
         Показывать баннер в боковой колонке?
            <br />
            <select name="<?php echo $settings; ?>[showad300x250]">
              <option style="padding-right:10px;" value="Yes" <?php selected('Yes', get_theme_mod('showad300x250')); ?>>Да</option>
              <option style="padding-right:10px;" value="No" <?php selected('No', get_theme_mod('showad300x250')); ?>>Нет</option>
            </select>
          </p>
          <p>
            Вставьте код баннера
            :<br />
            <textarea name="<?php echo $settings; ?>[ad300x250]" cols=35 rows=5><?php echo stripslashes(get_theme_mod('ad300x250')); ?></textarea>
          </p>
        </div>
      </div>
      <p class="submit">
        <input type="submit" class="button-primary" value="Сохранить настройки" />
        <input type="submit" class="button-highlighted" name="<?php echo $settings; ?>[reset]" value="Сбросить настройки" />
      </p>
    </div>
    <!--end second column-->
  </form>
</div>
<?php }

// CSS & JS
function theme_options_css_js() {
echo <<<CSS

<style type="text/css">
	.metabox-holder { 
		width: 350px; float: left;
		margin: 0; padding: 0 10px 0 0;
	}
	.metabox-holder .postbox .inside {
		padding: 0 10px;
	}
	input, textarea, select {
		margin: 5px 0 5px 0;
		padding: 1px;
	}
</style>

CSS;
echo <<<JS

<script type="text/javascript">
jQuery(document).ready(function($) {
	$(".fade").fadeIn(1000).fadeTo(1000, 1).fadeOut(1000);
});
</script>

JS;
}
?>
